const { resolve } = require('path');
const { existsSync, writeFileSync } = require('fs');

const confPath = resolve(__dirname, '../config.js');
if (!existsSync(confPath)) {
  const configCode = 
`/**
 * 预录入登录信息，示例：
 * \`\`\`
 * export default [
 *   {
 *     // 必填
 *     appkey: '',
 *     // 必填
 *     token: '',
 *     // 小程序平台连接地址，公有云选填，私有云必填
 *     customCMP: '',
 *     // 自定义 RTC 服务地址，选填
 *     mediaServer: '',
 *     // 自定义导航服务，选填
 *     navi: '',
 *     // 用于登录页面信息显示
 *     userId: ''
 *   },
 * ]
 * \`\`\`
 */
export default []
`;
  writeFileSync(confPath, configCode);
}
